API Reference
List User
List users within the organization.
GET
/
v1
/
users
List User
curl --request GET \
--url https://iam.eu.confidence.dev/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://iam.eu.confidence.dev/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://iam.eu.confidence.dev/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"fullName": "<string>",
"email": "<string>",
"createTime": {},
"updateTime": {},
"identity": "<string>",
"name": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"externalId": "<string>",
"scimExternalId": "<string>",
"username": "<string>",
"pictureUri": "<string>",
"lastLoginTime": {},
"blocked": true,
"slackUserInfo": {
"user": "<string>",
"team": "<string>",
"picture": "<string>"
},
"labels": [
{}
],
"deleteTime": {}
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of users to fetch.
Token used for pagination.
Filter to use for the request, follows the lucene query string format.
Provide fields and direction to sort by. Will always tiebreak on name. Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"} Example: fullName:desc,createTime:asc
Was this page helpful?
⌘I
List User

